Package org.silverpeas.components.survey.servlets

## Class RecordParticipation

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.components.survey.servlets.RecordParticipation

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class RecordParticipation
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecordParticipation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` | Method invoked when called from a form or directly by URL
    `void` | `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` | Method invoked when called from a form or directly by URL

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordParticipation

          public RecordParticipation()

  - ### Method Detail

    - #### doPost

          public void doPost​(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)

      Method invoked when called from a form or directly by URL
      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`

    - #### doGet

          public void doGet​(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)

      Method invoked when called from a form or directly by URL
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`